#pragma once

#include <GL/glew.h>
#include "math.h"

/*
The kind of a thing
*/
struct Material {
  f32 shininess;
  f32 specular_intensity;

  Material(f32 specular_intensity, f32 shininess);
  ~Material() = default;
};

void use_material(Material *material, u32 shininess_location, u32 specular_intensity_location);
